Revoke a status list signer
Roles
Analytics Events
/v2/credentials/mobile/status-list-signers/{statusListSignerId}/revokeRevokes an existing status list signer, making it unusable for signing new status lists.
If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked status list signers and any status list they signed as untrusted.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_START
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Status list signer identifier
uuidRequest Body
application/json
Empty request body for status list signer revocation
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "Content-Type: application/json" \ -d '{}'{
"revoked": true,
"revocationDate": "2025-10-31T23:59:59Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a new status list signer POST
Uses an existing IACA to sign a status list signer (intermediate certificate) that can be used to sign status list tokens. - Only available in implementations using unmanaged (external) IACAs. - A maximum of three Status List Signers can be created per tenant. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_CREATE_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_CREATE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_CREATE_FAIL
Retrieve all status list signers GET
Retrieves all existing status list signers. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_LIST_FAIL